Bug 61550 - Qt compilation resulted in compiler error
Qt compilation resulted in compiler error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 08:54 EST by Gail Lyons
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 14:43:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gail Lyons 2002-03-21 08:54:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
g++ -c -pipe -Wall -W -O2  -DQT_NO_DEBUG -DQT_NO_CHECK -
I/usr/include/freetype2 -I/usr/local/qt/include -I/usr/X11R6/include -
I/usr/X11R6/include -I.moc/release/ -I/usr/local/qt/mkspecs/linux-g++ -
o .obj/release/server.o server.cpp
server.cpp: In function `int main (int, char **)':
server.cpp:145: Internal compiler error in scan_region, at except.c:
2809
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake[3]: *** [.obj/release/server.o] Error 1
gmake[3]: Leaving directory `/usr/local/qt/examples/network/clientserver/server'
gmake[2]: *** [sub-network-clientserver-server] Error 2
gmake[2]: Leaving directory `/usr/local/qt/examples'
gmake[1]: *** [sub-examples] Error 2
gmake[1]: Leaving directory `/usr/local/qt'
gmake: *** [init] Error 2

[root@nht6005 qt]# rpm -qif /usr/bin/g++
Name        : gcc-c++                      Relocations: (not relocateable)
Version     : 2.96                              Vendor: Red Hat, Inc.
Release     : 85                            Build Date: Wed 09 May 2001 
02:04:32 PM EDT
Install date: Mon 08 Oct 2001 02:42:46 AM EDT      Build Host: 
boris.devel.redhat.com
Group       : Development/Languages         Source RPM: gcc-2.96-85.src.rpm
Size        : 8183554                          License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://gcc.gnu.org
Summary     : C++ support for the GNU gcc compiler.
Description :
The gcc-c++ package adds C++ support to the GNU C compiler. It
includes support for most of the current C++ specification, including
templates and exception handling. The static standard C++ library and
C++ header files are included; however, the library for dynamically
linking programs is available separately.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Get the free version of Qt from www.trolltech.com
2.config & make (rebuilding takes a long time)
3.eventually, an internal compiler error will appear
	

Actual Results:  Listed in the description

Expected Results:  The modules should have compiled without error.

Additional info:

I did rebuild the Qt software on an IA32 system without any problems.
Comment 1 Jakub Jelinek 2002-04-12 15:43:40 EDT
Please update to the current gcc-2.96-RH compiler (such as the one in 7.2/IA-64
or even newer (such as from rawhide).
It should be fixed there.
Comment 2 Gail Lyons 2002-12-16 09:02:39 EST
It was so long ago that I submitted this that I had forgotten it. 

I cannot go back to Qt at this time.

Gail

Note You need to log in before you can comment on or make changes to this bug.